> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mail

> Provides populated mail envelope rows as an archive based on a query string

## "Mail"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.MailItemSearchProvider">SuperOffice.CRM.ArchiveLists.MailItemSearchProvider</see> inside NetServer's SODatabase assembly.

Provides populated mail envelope rows as an archive based on a query string
This subclass filter envelopes based on a provided string, only envelopes containing
the string in either subject, sender, recipient or date are returned

## Supported Entities

| Name         | Description |
| ------------ | ----------- |
| "companies"  | Companies   |
| "associates" | Associates  |
| "others"     | Others      |

## Supported Columns

| Name       | Restriction | Description                                                                 | OrderBy |
| ---------- | ----------- | --------------------------------------------------------------------------- | ------- |
| id         | *None*      | ID: ID of the e-mail                                                        |         |
| status     | *None*      | Status                                                                      | x       |
| attachment | *None*      | Attachment: Indicates whether the e-mail has one or more attachments        | x       |
| from       | *None*      | From: The sender of the e-mail                                              | x       |
| to         | *None*      | To: The recipient of the e-mail                                             | x       |
| subject    | *None*      | Subject: The subject of the e-mail                                          | x       |
| size       | *None*      | Size: The size of the e-mail                                                | x       |
| archived   | *None*      | Archived: Indicates whether the e-mail has been archived in SuperOffice CRM |         |
| priority   | *None*      | Priority: The e-mail's priority                                             | x       |
| sent       | *None*      | Date : The time this e-mail was sent at                                     | x       |
| company    | *None*      | Company: Company                                                            |         |
| person     | *None*      | Contact: Contact                                                            |         |

## Sample

```http! theme={null}
GET /api/v1/archive/Mail?$select=attachment,to,size
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [Mail Link](/integrations/mail-link/index.md)
- [Save E Mail](/en/api/reference/restful/agent/email_agent/save-e-mail.md)
- [Send E Mails](/en/api/reference/restful/agent/email_agent/send-e-mails.md)
- [Get E Mail](/en/api/reference/restful/agent/email_agent/get-e-mail.md)
- [Get E Mail Account From E Mail Address](/en/api/reference/restful/agent/email_agent/get-e-mail-account-from-e-mail-address.md)
- [MailFolder](/en/api/archive-providers/reference/mailfolder.md)
